<?php

namespace App\Models;

use App\Models\Scopes\CompanyScope;
use EloquentFilter\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Project extends Model
{
    use HasFactory, Filterable;

    protected $fillable = [
        "name","code","const","available_days","status","begin","end","latitude","longitude","type","acl","whitelist","description"
    ];

    protected static function booted(): void
    {
        static::addGlobalScope(new CompanyScope);
    }
}
