<?php

namespace Database\Factories;

use App\Models\Asset;
use App\Models\Enums\RequirementStatus;
use App\Models\RequirementGroup;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Requirement>
 */
class RequirementFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'title' => fake()->title(),
            'asset_id' => Asset::factory()->create()->id,
            'status' => RequirementStatus::CHANGED->value,
            'requirement_group_id' => RequirementGroup::factory()->create()->id,
            'priority' => rand(1, 4),
            'note' => fake()->text(30),
            'description' => fake()->text(),
            'acceptance' => fake()->text(),
            'mailto' => [
                User::factory()->create()->id,
                User::factory()->create()->id
            ],
        ];
    }
}
